tigase.jaxmpp.core.client.xml

## Class ElementFactory

- java.lang.Object
- - tigase.jaxmpp.core.client.xml.ElementFactory

-     public class ElementFactory
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Element` | `create(Element src)`
    `static Element` | `create(String name)`
    `static Element` | `create(String name, String value, String xmlns)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static Element create(Element src)
                                throws XMLException

      Throws:
        `XMLException`

    - #### create

          public static Element create(String name)
                                throws XMLException

      Throws:
        `XMLException`

    - #### create

          public static Element create(String name,
                                       String value,
                                       String xmlns)
                                throws XMLException

      Throws:
        `XMLException`

Copyright © 2006–2020 Tigase. All rights reserved.